<link rel="import" href="../multi-chart.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">
<dom-module id="test-element">
  <template>
    <style include="iron-flex-layout-attributes"></style>
    <style>
      :host {
        display: block;
      }

      div {
        height: 100%;
      }
    </style>

    <div horizontal layout>
      <multi-chart flex data="{{data}}" config="{{config}}"></multi-chart>
    </div>

  </template>
  <script>
    Polymer({
      is: 'test-element',
      properties: {
        data: {
          type: Array,
          value: function() {
            // return something like
            // {
            //  "key": "stream0",
            //  "values": [
            //    "x": 0,
            //    "y": 3.5,
            //    ... (whatever is needed for that chart type)
            //  ],
            //  "type": "area",
            //  "yAxis": 1,
            //  "originalKey": "Stream0",
            //  "seriesIndex": 0
            // },
            // {
            //   "key": "stream1",
            //   ...
            // }

            return [{
              "key": "Stream0",
              "values": [
                {
                "x": 0,
                "y": -0.7039139987473918,
                "index": 0,
                "seriesIndex": 0,
                "display": {
                  "y": -0.7039139987473918,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 1,
                "y": -0.1689213852507492,
                "index": 1,
                "seriesIndex": 0,
                "display": {
                  "y": -0.1689213852507492,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 2,
                "y": -0.1251742222352456,
                "index": 2,
                "seriesIndex": 0,
                "display": {
                  "y": -0.1251742222352456,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 3,
                "y": -0.10506287637693405,
                "index": 3,
                "seriesIndex": 0,
                "display": {
                  "y": -0.10506287637693405,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 4,
                "y": -0.16147481960044555,
                "index": 4,
                "seriesIndex": 0,
                "display": {
                  "y": -0.16147481960044555,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 5,
                "y": -0.19720391824184422,
                "index": 5,
                "seriesIndex": 0,
                "display": {
                  "y": -0.19720391824184422,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 6,
                "y": -0.19983332882294405,
                "index": 6,
                "seriesIndex": 0,
                "display": {
                  "y": -0.19983332882294405,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 7,
                "y": -0.1891638533648049,
                "index": 7,
                "seriesIndex": 0,
                "display": {
                  "y": -0.1891638533648049,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 8,
                "y": -0.18162061350769113,
                "index": 8,
                "seriesIndex": 0,
                "display": {
                  "y": -0.18162061350769113,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 9,
                "y": -0.17120971807952418,
                "index": 9,
                "seriesIndex": 0,
                "display": {
                  "y": -0.17120971807952418,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 10,
                "y": -0.11164533298658362,
                "index": 10,
                "seriesIndex": 0,
                "display": {
                  "y": -0.11164533298658362,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 11,
                "y": -0.11041020801713158,
                "index": 11,
                "seriesIndex": 0,
                "display": {
                  "y": -0.11041020801713158,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 12,
                "y": -0.15540572878321238,
                "index": 12,
                "seriesIndex": 0,
                "display": {
                  "y": -0.15540572878321238,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 13,
                "y": -0.14591274984058547,
                "index": 13,
                "seriesIndex": 0,
                "display": {
                  "y": -0.14591274984058547,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 14,
                "y": -0.1311251110514079,
                "index": 14,
                "seriesIndex": 0,
                "display": {
                  "y": -0.1311251110514079,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 15,
                "y": -0.20060459873855574,
                "index": 15,
                "seriesIndex": 0,
                "display": {
                  "y": -0.20060459873855574,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 16,
                "y": -0.16113463808940734,
                "index": 16,
                "seriesIndex": 0,
                "display": {
                  "y": -0.16113463808940734,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 17,
                "y": -0.4674376578788062,
                "index": 17,
                "seriesIndex": 0,
                "display": {
                  "y": -0.4674376578788062,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 18,
                "y": -2.159007871939639,
                "index": 18,
                "seriesIndex": 0,
                "display": {
                  "y": -2.159007871939639,
                  "y0": 0
                },
                "series": 0
              }, {
                "x": 19,
                "y": -2.458399769118528,
                "index": 19,
                "seriesIndex": 0,
                "display": {
                  "y": -2.458399769118528,
                  "y0": 0
                },
                "series": 0
              }],
              "type": "area",
              "yAxis": 1,
              "originalKey": "Stream0",
              "seriesIndex": 0
            }, {
              "key": "Stream1",
              "values": [{
                "x": 0,
                "y": -9.335799990113305,
                "index": 0,
                "seriesIndex": 1,
                "display": {
                  "y": -9.335799990113305,
                  "y0": -0.7039139987473918
                },
                "series": 1
              }, {
                "x": 1,
                "y": -4.227072527101433,
                "index": 1,
                "seriesIndex": 1,
                "display": {
                  "y": -4.227072527101433,
                  "y0": -0.1689213852507492
                },
                "series": 1
              }, {
                "x": 2,
                "y": -1.375206969828715,
                "index": 2,
                "seriesIndex": 1,
                "display": {
                  "y": -1.375206969828715,
                  "y0": -0.1251742222352456
                },
                "series": 1
              }, {
                "x": 3,
                "y": -1.4863855132875678,
                "index": 3,
                "seriesIndex": 1,
                "display": {
                  "y": -1.4863855132875678,
                  "y0": -0.10506287637693405
                },
                "series": 1
              }, {
                "x": 4,
                "y": -0.8267132742673575,
                "index": 4,
                "seriesIndex": 1,
                "display": {
                  "y": -0.8267132742673575,
                  "y0": -0.16147481960044555
                },
                "series": 1
              }, {
                "x": 5,
                "y": -0.28174623337534976,
                "index": 5,
                "seriesIndex": 1,
                "display": {
                  "y": -0.28174623337534976,
                  "y0": -0.19720391824184422
                },
                "series": 1
              }, {
                "x": 6,
                "y": -1.3273923280748487,
                "index": 6,
                "seriesIndex": 1,
                "display": {
                  "y": -1.3273923280748487,
                  "y0": -0.19983332882294405
                },
                "series": 1
              }, {
                "x": 7,
                "y": -1.8147266041780046,
                "index": 7,
                "seriesIndex": 1,
                "display": {
                  "y": -1.8147266041780046,
                  "y0": -0.1891638533648049
                },
                "series": 1
              }, {
                "x": 8,
                "y": -0.3091600609800077,
                "index": 8,
                "seriesIndex": 1,
                "display": {
                  "y": -0.3091600609800077,
                  "y0": -0.18162061350769113
                },
                "series": 1
              }, {
                "x": 9,
                "y": -0.632045949582825,
                "index": 9,
                "seriesIndex": 1,
                "display": {
                  "y": -0.632045949582825,
                  "y0": -0.17120971807952418
                },
                "series": 1
              }, {
                "x": 10,
                "y": -1.5857278301803135,
                "index": 10,
                "seriesIndex": 1,
                "display": {
                  "y": -1.5857278301803135,
                  "y0": -0.11164533298658362
                },
                "series": 1
              }, {
                "x": 11,
                "y": -0.31457058534155347,
                "index": 11,
                "seriesIndex": 1,
                "display": {
                  "y": -0.31457058534155347,
                  "y0": -0.11041020801713158
                },
                "series": 1
              }, {
                "x": 12,
                "y": -0.9356774089683152,
                "index": 12,
                "seriesIndex": 1,
                "display": {
                  "y": -0.9356774089683152,
                  "y0": -0.15540572878321238
                },
                "series": 1
              }, {
                "x": 13,
                "y": -3.801645062177817,
                "index": 13,
                "seriesIndex": 1,
                "display": {
                  "y": -3.801645062177817,
                  "y0": -0.14591274984058547
                },
                "series": 1
              }, {
                "x": 14,
                "y": -3.078570194373316,
                "index": 14,
                "seriesIndex": 1,
                "display": {
                  "y": -3.078570194373316,
                  "y0": -0.1311251110514079
                },
                "series": 1
              }, {
                "x": 15,
                "y": -0.5795182103593775,
                "index": 15,
                "seriesIndex": 1,
                "display": {
                  "y": -0.5795182103593775,
                  "y0": -0.20060459873855574
                },
                "series": 1
              }, {
                "x": 16,
                "y": -0.15982594043226953,
                "index": 16,
                "seriesIndex": 1,
                "display": {
                  "y": -0.15982594043226953,
                  "y0": -0.16113463808940734
                },
                "series": 1
              }, {
                "x": 17,
                "y": -0.17828061688225091,
                "index": 17,
                "seriesIndex": 1,
                "display": {
                  "y": -0.17828061688225091,
                  "y0": -0.4674376578788062
                },
                "series": 1
              }, {
                "x": 18,
                "y": -0.1507974530128472,
                "index": 18,
                "seriesIndex": 1,
                "display": {
                  "y": -0.1507974530128472,
                  "y0": -2.159007871939639
                },
                "series": 1
              }, {
                "x": 19,
                "y": -0.12910472648896512,
                "index": 19,
                "seriesIndex": 1,
                "display": {
                  "y": -0.12910472648896512,
                  "y0": -2.458399769118528
                },
                "series": 1
              }],
              "type": "area",
              "yAxis": 1,
              "originalKey": "Stream1",
              "seriesIndex": 1
            }, {
              "key": "Stream2",
              "values": [{
                "x": 0,
                "y": 0.16925241473644073,
                "series": 0
              }, {
                "x": 1,
                "y": 0.1632983986763084,
                "series": 0
              }, {
                "x": 2,
                "y": 0.15434689013622507,
                "series": 0
              }, {
                "x": 3,
                "y": 0.15898710994394266,
                "series": 0
              }, {
                "x": 4,
                "y": 0.18719707484991796,
                "series": 0
              }, {
                "x": 5,
                "y": 0.18586680902166833,
                "series": 0
              }, {
                "x": 6,
                "y": 0.16877816456675765,
                "series": 0
              }, {
                "x": 7,
                "y": 0.2675107500957516,
                "series": 0
              }, {
                "x": 8,
                "y": 1.3295547127709382,
                "series": 0
              }, {
                "x": 9,
                "y": 5.6454270088802385,
                "series": 0
              }, {
                "x": 10,
                "y": 9.107650843488338,
                "series": 0
              }, {
                "x": 11,
                "y": 5.1332483322753255,
                "series": 0
              }, {
                "x": 12,
                "y": 1.0673026297981107,
                "series": 0
              }, {
                "x": 13,
                "y": 0.19680942294309625,
                "series": 0
              }, {
                "x": 14,
                "y": 0.15738776184518766,
                "series": 0
              }, {
                "x": 15,
                "y": 0.17547360355503075,
                "series": 0
              }, {
                "x": 16,
                "y": 0.11433098782448015,
                "series": 0
              }, {
                "x": 17,
                "y": 0.18872832212906268,
                "series": 0
              }, {
                "x": 18,
                "y": 0.4797654370834589,
                "series": 0
              }, {
                "x": 19,
                "y": 1.7802484848454803,
                "series": 0
              }],
              "type": "line",
              "yAxis": 1,
              "originalKey": "Stream2"
            }, {
              "key": "Stream3 (right axis)",
              "values": [{
                "x": 0,
                "y": 0.18854692894778083,
                "series": 0
              }, {
                "x": 1,
                "y": 0.3112925412719799,
                "series": 0
              }, {
                "x": 2,
                "y": 0.7525749213001842,
                "series": 0
              }, {
                "x": 3,
                "y": 1.4515720072488372,
                "series": 0
              }, {
                "x": 4,
                "y": 1.891982732633729,
                "series": 0
              }, {
                "x": 5,
                "y": 2.3748632104329013,
                "series": 0
              }, {
                "x": 6,
                "y": 2.304021161896646,
                "series": 0
              }, {
                "x": 7,
                "y": 0.410308257430684,
                "series": 0
              }, {
                "x": 8,
                "y": 0.24905051448088814,
                "series": 0
              }, {
                "x": 9,
                "y": 0.36971541998461577,
                "series": 0
              }, {
                "x": 10,
                "y": 2.3669370706414803,
                "series": 0
              }, {
                "x": 11,
                "y": 2.328872834546673,
                "series": 0
              }, {
                "x": 12,
                "y": 0.35532278177264437,
                "series": 0
              }, {
                "x": 13,
                "y": 0.10963000836647624,
                "series": 0
              }, {
                "x": 14,
                "y": 0.11344233304895535,
                "series": 0
              }, {
                "x": 15,
                "y": 0.1335353042013989,
                "series": 0
              }, {
                "x": 16,
                "y": 0.12880723852180562,
                "series": 0
              }, {
                "x": 17,
                "y": 0.1969587689065204,
                "series": 0
              }, {
                "x": 18,
                "y": 0.12467167644147753,
                "series": 0
              }, {
                "x": 19,
                "y": 0.157598691628272,
                "series": 0
              }],
              "type": "line",
              "yAxis": 2,
              "originalKey": "Stream3"
            }, {
              "key": "Stream4 (right axis)",
              "values": [{
                "x": 0,
                "y": 0.20041169957847743,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 1,
                "y": 0.22265128309687576,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 2,
                "y": 0.5622712269941071,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 3,
                "y": 1.2059553814660011,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 4,
                "y": 1.7814967619917048,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 5,
                "y": 1.5337592354173408,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 6,
                "y": 0.9218778214190301,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 7,
                "y": 0.5623049082172292,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 8,
                "y": 0.8778964224335127,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 9,
                "y": 1.399438875634039,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 10,
                "y": 1.2024748969482348,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 11,
                "y": 0.6481916659107143,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 12,
                "y": 0.27807939352461425,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 13,
                "y": 0.12711477154215797,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 14,
                "y": 0.17238417687260538,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 15,
                "y": 0.13189901412955804,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 16,
                "y": 0.19021480689899953,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 17,
                "y": 0.10215719538095434,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 18,
                "y": 0.13582640808875862,
                "series": 0,
                "key": "Stream4 (right axis)"
              }, {
                "x": 19,
                "y": 0.13536386438231157,
                "series": 0,
                "key": "Stream4 (right axis)"
              }],
              "type": "bar",
              "yAxis": 2,
              "originalKey": "Stream4"
            }, {
              "key": "Stream5 (right axis)",
              "values": [{
                "x": 0,
                "y": 0.15392092487482154,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 1,
                "y": 0.12335857438745636,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 2,
                "y": 0.15164167691407499,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 3,
                "y": 0.10656211654123116,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 4,
                "y": 0.1736782991232476,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 5,
                "y": 0.14721449549237547,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 6,
                "y": 0.1549178341789185,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 7,
                "y": 0.1474834717202226,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 8,
                "y": 0.2054854869031762,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 9,
                "y": 0.2670037768969884,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 10,
                "y": 0.668689346217572,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 11,
                "y": 1.3980824903866116,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 12,
                "y": 1.67452676646204,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 13,
                "y": 1.0781216835111054,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 14,
                "y": 0.4022721345128195,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 15,
                "y": 0.1541723670617259,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 16,
                "y": 0.1969106114649643,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 17,
                "y": 0.10790390761235545,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 18,
                "y": 0.19651275511990254,
                "series": 1,
                "key": "Stream5 (right axis)"
              }, {
                "x": 19,
                "y": 0.16296714412760072,
                "series": 1,
                "key": "Stream5 (right axis)"
              }],
              "type": "bar",
              "yAxis": 2,
              "originalKey": "Stream5"
            }, {
              "key": "Stream6 (right axis)",
              "values": [{
                "x": 0,
                "y": 0.13038495643331066,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 1,
                "y": 0.19149966287225778,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 2,
                "y": 0.121136327330789,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 3,
                "y": 0.19476691033104793,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 4,
                "y": 0.14475574434476265,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 5,
                "y": 0.1638813049800772,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 6,
                "y": 0.11935179904903905,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 7,
                "y": 0.12494341537651742,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 8,
                "y": 0.22065357007490188,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 9,
                "y": 0.5200156545422512,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 10,
                "y": 0.8538631735916168,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 11,
                "y": 1.12331518074811,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 12,
                "y": 1.3715630874893405,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 13,
                "y": 1.891129079211621,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 14,
                "y": 0.28066830520486485,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 15,
                "y": 0.12798719313238152,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 16,
                "y": 0.14578969855106919,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 17,
                "y": 0.19838223955894782,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 18,
                "y": 0.15700171755417328,
                "series": 2,
                "key": "Stream6 (right axis)"
              }, {
                "x": 19,
                "y": 0.2097036517458375,
                "series": 2,
                "key": "Stream6 (right axis)"
              }],
              "type": "bar",
              "yAxis": 2,
              "originalKey": "Stream6"
            }];
          }
        },
        config: {
          type: Object,
          value: function() {
            return {}
          }
        }
      },

    });
  </script>
</dom-module>
